Index: ConnectionManager.cxx
===================================================================
--- ConnectionManager.cxx	(revision 3899)
+++ ConnectionManager.cxx	(working copy)
@@ -115,11 +115,11 @@
       fdset.setExcept((*i)->getSocket());
    }
 
-   for (ConnectionWriteList::iterator i = mWriteHead->begin(); 
-        i != mWriteHead->end(); ++i)
+   for (ConnectionWriteList::iterator j = mWriteHead->begin(); 
+        j != mWriteHead->end(); ++j)
    {
-      fdset.setWrite((*i)->getSocket());
-      fdset.setExcept((*i)->getSocket());
+      fdset.setWrite((*j)->getSocket());
+      fdset.setExcept((*j)->getSocket());
    }
 }
 
@@ -182,15 +182,23 @@
 ConnectionManager::gc(UInt64 relThreshhold)
 {
    UInt64 threshhold = Timer::getTimeMs() - relThreshhold;
+#ifndef _WIN32_WCE
    InfoLog(<< "recycling connections older than " << relThreshhold/1000.0 << " seconds");
+#else
+   InfoLog(<< "recycling connections older than " << ((__int64)relThreshhold/1000.0)<< " seconds");
+#endif
 
    for (ConnectionLruList::iterator i = mLRUHead->begin();
         i != mLRUHead->end();)
    {
       if ((*i)->mLastUsed < threshhold)
       {
-         Connection* discard = *i;
+         Connection* discard = *i;
+#ifndef _WIN32_WCE
          InfoLog(<< "recycling connection: " << discard << " " << discard->getSocket());
+#else
+         InfoLog(<< "recycling connection: " << (long)discard << " " << discard->getSocket());
+#endif
          // iterate before removing
          ++i;
          delete discard;
