Index: HeaderFieldValue.cxx
===================================================================
--- HeaderFieldValue.cxx	(revision 3899)
+++ HeaderFieldValue.cxx	(working copy)
@@ -20,7 +20,11 @@
 #define RESIPROCATE_SUBSYSTEM Subsystem::SIP
 
 HeaderFieldValue::HeaderFieldValue(const char* field, unsigned int fieldLength)
-   : mField(field),
+#ifndef _WIN32_WCE
+   : mField(field),
+#else
+   : mpField(field),
+#endif
      mFieldLength(fieldLength),
      mMine(false)
 {}
@@ -39,14 +43,21 @@
 {
   if (mMine)
   {
-     delete[] mField;
+     delete[] mField;
   }
 }
 
 ostream& 
 HeaderFieldValue::encode(ostream& str) const
 {
-   str.write(mField, mFieldLength);
+#ifndef _WIN32_WCE
+   str.write(mField, mFieldLength);
+#else
+   if(mMine)
+  	   str.write(mField, mFieldLength);
+   else
+	   str.write(mpField, mFieldLength);
+#endif
    return str;
 }
 
