Index: SdpContents.cxx
===================================================================
--- SdpContents.cxx	(revision 3899)
+++ SdpContents.cxx	(working copy)
@@ -230,8 +230,16 @@
 
 
 SdpContents::Session::Origin::Origin(const Data& user,
-                                     const unsigned long long& sessionId,
-                                     const unsigned long long& version,
+                                     const unsigned 
+									 #ifndef _WIN32_WCE
+									 long 
+									 #endif
+									 long& sessionId,
+                                     const unsigned
+									 #ifndef _WIN32_WCE
+									 long 
+									 #endif
+									 long& version,
                                      AddrType addr,
                                      const Data& address)
    : mUser(user),
@@ -1052,10 +1060,10 @@
       i->encode(s);
    }
 
-   for (vector<Phone>::const_iterator i = mPhones.begin();
-        i != mPhones.end(); ++i)
+   for (vector<Phone>::const_iterator j = mPhones.begin();
+        j != mPhones.end(); ++j)
    {
-      i->encode(s);
+      j->encode(s);
    }
 
    if (!mConnection.getAddress().empty())
@@ -1063,10 +1071,10 @@
       mConnection.encode(s);
    }
 
-   for (vector<Bandwidth>::const_iterator i = mBandwidths.begin();
-        i != mBandwidths.end(); ++i)
+   for (vector<Bandwidth>::const_iterator k = mBandwidths.begin();
+        k != mBandwidths.end(); ++k)
    {
-      i->encode(s);
+      k->encode(s);
    }
 
    if (mTimes.empty())
@@ -1075,10 +1083,10 @@
    }
    else
    {
-      for (vector<Time>::const_iterator i = mTimes.begin();
-           i != mTimes.end(); ++i)
+      for (vector<Time>::const_iterator l = mTimes.begin();
+           l != mTimes.end(); ++l)
       {
-         i->encode(s);
+         l->encode(s);
       }
    }
 
@@ -1091,10 +1099,10 @@
 
    mAttributeHelper.encode(s);
 
-   for (vector<Medium>::const_iterator i = mMedia.begin();
-        i != mMedia.end(); ++i)
+   for (vector<Medium>::const_iterator m = mMedia.begin();
+        m != mMedia.end(); ++m)
    {
-      i->encode(s);
+      m->encode(s);
    }
 
    return s;
@@ -1373,16 +1381,16 @@
       s << "i=" << mInformation << Symbols::CRLF;
    }
 
-   for (vector<Connection>::const_iterator i = mConnections.begin();
-        i != mConnections.end(); ++i)
+   for (vector<Connection>::const_iterator j = mConnections.begin();
+        j != mConnections.end(); ++j)
    {
-      i->encode(s);
+      j->encode(s);
    }
 
-   for (vector<Bandwidth>::const_iterator i = mBandwidths.begin();
-        i != mBandwidths.end(); ++i)
+   for (vector<Bandwidth>::const_iterator k = mBandwidths.begin();
+        k != mBandwidths.end(); ++i)
    {
-      i->encode(s);
+      k->encode(s);
    }
 
    if (mEncryption.getMethod() != Encryption::NoEncryption)
@@ -1393,8 +1401,8 @@
    if (!mCodecs.empty())
    {
       // add codecs to information and attributes
-      for (vector<Codec>::const_iterator i = mCodecs.begin();
-           i != mCodecs.end(); ++i)
+      for (vector<Codec>::const_iterator l = mCodecs.begin();
+           l != mCodecs.end(); ++l)
       {
           // If codec is static (defined in RFC 3551) we probably shouldn't
           // add attributes for it. But some UAs do include them.
@@ -1405,12 +1413,12 @@
           //}
 
          s << "a=rtpmap:"
-           << i->payloadType() << Symbols::SPACE[0] << *i
+           << l->payloadType() << Symbols::SPACE[0] << *l
            << Symbols::CRLF;
-         if (!i->parameters().empty())
+         if (!l->parameters().empty())
          {
             s << "a=fmtp:"
-              << i->payloadType() << Symbols::SPACE[0] << i->parameters()
+              << l->payloadType() << Symbols::SPACE[0] << l->parameters()
               << Symbols::CRLF;
          }
       }
@@ -1576,8 +1584,13 @@
          else
          {
              // !kk! Is it a static format?
-             Codec::CodecMap& staticCodecs = Codec::getStaticCodecs();
-             Codec::CodecMap::const_iterator ri = staticCodecs.find(mapKey);
+#ifndef _WIN32_WCE
+             Codec::CodecMap& staticCodecs = Codec::getStaticCodecs();
+             Codec::CodecMap::const_iterator ri = staticCodecs.find(mapKey);
+#else
+             Session::CodecMap& staticCodecs = Session::getStaticCodecs();
+             Session::CodecMap::const_iterator ri = staticCodecs.find(mapKey);
+#endif
              if (ri != staticCodecs.end())
              {
                 //DebugLog(<< "Found static codec for format: " << mapKey);
@@ -1699,8 +1712,19 @@
 {
    return mRate;
 };
-
-Codec::CodecMap& Codec::getStaticCodecs()
+#ifndef _WIN32_WCE
+Codec::
+#else
+SdpContents::Session::
+#endif
+CodecMap& 
+
+#ifndef _WIN32_WCE
+Codec::
+#else
+SdpContents::Session::
+#endif
+getStaticCodecs()
 {
 
     if (! sStaticCodecsCreated)
@@ -1763,9 +1787,14 @@
 // !kk! payloadType (2nd arg) should not be clock rate for these two:
 const Codec Codec::TelephoneEvent("telephone-event", 8000);
 const Codec Codec::FrfDialedDigit("frf-dialed-event", 8000);
+#ifndef _WIN32_WCE
+bool Codec::sStaticCodecsCreated = false;
+Codec::CodecMap Codec::sStaticCodecs;
+#else
+bool SdpContents::Session::sStaticCodecsCreated = false;
+SdpContents::Session::CodecMap SdpContents::Session::sStaticCodecs;
+#endif
 
-bool Codec::sStaticCodecsCreated = false;
-Codec::CodecMap Codec::sStaticCodecs;
 
 /* ====================================================================
  * The Vovida Software License, Version 1.0
