Index: SdpContents.hxx
===================================================================
--- SdpContents.hxx	(revision 3899)
+++ SdpContents.hxx	(working copy)
@@ -10,7 +10,6 @@
 #include "resiprocate/os/Data.hxx"
 #include "resiprocate/os/HashMap.hxx"
 #include "resiprocate/os/HeapInstanceCounter.hxx"
-
 namespace resip
 {
 
@@ -57,10 +56,16 @@
                   Codec(const Codec& rhs);
                   Codec& operator=(const Codec& codec);
 
-                  void parse(ParseBuffer& pb,
-                             const SdpContents::Session::Medium& medium,
-                             int payLoadType);
-
+				#ifdef _WIN32_WCE
+                  void parse(ParseBuffer& pb,
+                             const Medium& medium,
+                             int payLoadType);
+				#else
+                  void parse(ParseBuffer& pb,
+                             const SdpContents::Session::Medium& medium,
+                             int payLoadType);
+				#endif
+
                   const Data& getName() const;
                   int getRate() const;
 
@@ -76,10 +81,12 @@
                   static const Codec TelephoneEvent;
                   static const Codec FrfDialedDigit;
 
-                  typedef HashMap<int, Codec> CodecMap;
-                  // "static" payload types as defined in RFC 3551.
-                  // Maps payload type (number) to Codec definition.
-                  static CodecMap& getStaticCodecs();
+				#ifndef _WIN32_WCE
+                  typedef HashMap<int, Codec> CodecMap;
+                  // "static" payload types as defined in RFC 3551.
+                  // Maps payload type (number) to Codec definition.
+                  static CodecMap& getStaticCodecs();
+				#endif
 
                   friend bool operator==(const Codec&, const Codec&);
 
@@ -89,17 +96,36 @@
                   int mPayloadType;
                   Data mParameters;
 
-                  static CodecMap sStaticCodecs;
-                  static bool sStaticCodecsCreated;
+				#ifndef _WIN32_WCE
+                  static CodecMap sStaticCodecs;
+                  static bool sStaticCodecsCreated;
+				#endif
                   friend std::ostream& operator<<(std::ostream&, const Codec&);
             };
 
+			#ifdef _WIN32_WCE
+                  typedef HashMap<int, Codec> CodecMap;
+                  // "static" payload types as defined in RFC 3551.
+                  // Maps payload type (number) to Codec definition.
+                  static CodecMap& getStaticCodecs();
+                  static CodecMap sStaticCodecs;
+                  static bool sStaticCodecsCreated;
+			#endif
+
             class Origin
             {
                public:
                   Origin(const Data& user,
-                         const unsigned long long& sessionId,
-                         const unsigned long long& version,
+                         const unsigned long
+						 #ifndef _WIN32_WCE
+						 long
+						 #endif
+						 & sessionId,
+                         const unsigned long 
+						 #ifndef _WIN32_WCE
+						 long
+						 #endif
+						 & version,
                          AddrType addr,
                          const Data& address);
                   Origin(const Origin& rhs);
@@ -108,11 +134,27 @@
                   void parse(ParseBuffer& pb);
                   std::ostream& encode(std::ostream&) const;
 
-                  const unsigned long long& getSessionId() const {return mSessionId;}
-                  unsigned long long& getSessionId() { return mSessionId; }
+                  const unsigned long 
+						 #ifndef _WIN32_WCE
+						 long
+						 #endif
+					  & getSessionId() const {return mSessionId;}
+                  unsigned long 
+						 #ifndef _WIN32_WCE
+						 long
+						 #endif
+					  & getSessionId() { return mSessionId; }
 
-                  const unsigned long long& getVersion() const {return mVersion;}
-                  unsigned long long& getVersion() { return mVersion; }
+                  const unsigned long 
+						 #ifndef _WIN32_WCE
+						 long
+						 #endif
+					  & getVersion() const {return mVersion;}
+                  unsigned long 
+						 #ifndef _WIN32_WCE
+						 long
+						 #endif
+					  & getVersion() { return mVersion; }
                   const Data& user() const {return mUser;}
                   Data& user() {return mUser;}
                   AddrType getAddressType() const {return mAddrType;}
@@ -123,8 +165,16 @@
                   Origin();
 
                   Data mUser;
-                  unsigned long long mSessionId;
-                  unsigned long long mVersion;
+                  unsigned long 
+						 #ifndef _WIN32_WCE
+						 long
+						 #endif
+					  mSessionId;
+                  unsigned long 
+						 #ifndef _WIN32_WCE
+						 long
+						 #endif
+					  mVersion;
                   AddrType mAddrType;
                   Data mAddress;
 
