Index: TransportSelector.cxx
===================================================================
--- TransportSelector.cxx	(revision 3899)
+++ TransportSelector.cxx	(working copy)
@@ -80,9 +80,9 @@
    {
       i->second->shutdown();
    }
-   for (AnyInterfaceTupleMap::iterator i=mAnyInterfaceTransports.begin(); i!=mAnyInterfaceTransports.end(); ++i)
+   for (AnyInterfaceTupleMap::iterator j=mAnyInterfaceTransports.begin(); j!=mAnyInterfaceTransports.end(); ++j)
    {
-      i->second->shutdown();
+      j->second->shutdown();
    }
 }
 
@@ -93,9 +93,9 @@
    {
       if (!i->second->isFinished()) return false;
    }
-   for (AnyInterfaceTupleMap::const_iterator i=mAnyInterfaceTransports.begin(); i!=mAnyInterfaceTransports.end(); ++i)
+   for (AnyInterfaceTupleMap::const_iterator j=mAnyInterfaceTransports.begin(); j!=mAnyInterfaceTransports.end(); ++j)
    {
-      if (!i->second->isFinished()) return false;
+      if (!j->second->isFinished()) return false;
    }
    return true;
 }
@@ -243,12 +243,12 @@
             InfoLog (<< "Uncaught exception: " << e);
          }
       }
-      for (AnyInterfaceTupleMap::const_iterator i = mAnyInterfaceTransports.begin();
-           i != mAnyInterfaceTransports.end(); i++)
+      for (AnyInterfaceTupleMap::const_iterator j = mAnyInterfaceTransports.begin();
+           j != mAnyInterfaceTransports.end(); j++)
       {
          try
          {
-            i->second->process(fdset);
+            j->second->process(fdset);
          }
          catch (BaseException& e)
          {
@@ -256,12 +256,12 @@
          }
       }
 
-      for (std::map<Data, TlsTransport*>::const_iterator i=mTlsTransports.begin();
-           i != mTlsTransports.end(); i++)
+      for (std::map<Data, TlsTransport*>::const_iterator k=mTlsTransports.begin();
+           k != mTlsTransports.end(); k++)
       {
          try
          {
-            (i->second)->process(fdset);
+            (k->second)->process(fdset);
          }
          catch (BaseException& e)
          {
@@ -299,19 +299,19 @@
             return true;
          }
       }
-      for (AnyInterfaceTupleMap::const_iterator i = mAnyInterfaceTransports.begin();
-           i != mAnyInterfaceTransports.end(); i++)
+      for (AnyInterfaceTupleMap::const_iterator j = mAnyInterfaceTransports.begin();
+           j != mAnyInterfaceTransports.end(); j++)
       {
-         if (i->second->hasDataToSend())
+         if (j->second->hasDataToSend())
          {
             return true;
          }
       }
 
-      for (std::map<Data, TlsTransport*>::const_iterator i=mTlsTransports.begin();
-           i != mTlsTransports.end(); i++)
+      for (std::map<Data, TlsTransport*>::const_iterator k=mTlsTransports.begin();
+           k != mTlsTransports.end(); k++)
       {
-         if ( (i->second)->hasDataToSend() )
+         if ( (k->second)->hasDataToSend() )
          {
             return true;
          }
@@ -431,7 +431,9 @@
       if(ret != 0)
       {
          Transport::error( ret ); // !kh! is this the correct sematics? ret is not errno.
+#ifndef _WIN32_WCE
          InfoLog(<< "Can't resolve " << hostname << "'s address : [" << ret << "] " << gai_strerror(ret) );
+#endif
          throw Transport::Exception("Can't resolve hostname", __FILE__,__LINE__);
       }
 
@@ -672,7 +674,11 @@
 
          if (target.transport) // findTransport may have failed
          {
-            Via& topVia(msg->header(h_Vias).front());
+#ifndef _WIN32_WCE
+			Via& topVia(msg->header(h_Vias).front());
+#else
+			Via& topVia =msg->header(h_Vias).front();
+#endif
             topVia.remove(p_maddr); // !jf! why do this?
 
             // insert the via
@@ -830,16 +836,16 @@
       sum += i->second->getFifoSize();
    }
 
-   for (AnyPortAnyInterfaceTupleMap::const_iterator i = mAnyPortAnyInterfaceTransports.begin();
-        i != mAnyPortAnyInterfaceTransports.end(); ++i)
+   for (AnyPortAnyInterfaceTupleMap::const_iterator j = mAnyPortAnyInterfaceTransports.begin();
+        j != mAnyPortAnyInterfaceTransports.end(); ++j)
    {
-      sum += i->second->getFifoSize();
+      sum += j->second->getFifoSize();
    }
 
-   for (TlsTransportMap::const_iterator i = mTlsTransports.begin();
-        i != mTlsTransports.end(); ++i)
+   for (TlsTransportMap::const_iterator k = mTlsTransports.begin();
+        k != mTlsTransports.end(); ++k)
    {
-      sum += i->second->getFifoSize();
+      sum += k->second->getFifoSize();
    }
 
    return sum;
@@ -857,16 +863,16 @@
       {
          i->second->buildFdSet(fdset);
       }
-      for (AnyInterfaceTupleMap::const_iterator i = mAnyInterfaceTransports.begin();
-           i != mAnyInterfaceTransports.end(); ++i)
+      for (AnyInterfaceTupleMap::const_iterator j = mAnyInterfaceTransports.begin();
+           j != mAnyInterfaceTransports.end(); ++j)
       {
-         i->second->buildFdSet(fdset);
+         j->second->buildFdSet(fdset);
       }
 
-      for (std::map<Data, TlsTransport*>::const_iterator i=mTlsTransports.begin();
-           i != mTlsTransports.end(); ++i)
+      for (std::map<Data, TlsTransport*>::const_iterator k=mTlsTransports.begin();
+           k != mTlsTransports.end(); ++k)
       {
-         (i->second)->buildFdSet(fdset);
+         (k->second)->buildFdSet(fdset);
       }
 
 #ifdef USE_DTLS
