Index: XMLCursor.cxx
===================================================================
--- XMLCursor.cxx	(revision 3899)
+++ XMLCursor.cxx	(working copy)
@@ -196,7 +196,11 @@
          pb.skipChar();
          // CodeWarrior isn't helpful enough to pick the "obvious" operator definition
          // so we add volatile here so CW is completely unconfused what to do.
+#ifndef _WIN32_WCE
          if ( pb.end() < (const volatile char*)pb.position() + mTag.size() )
+#else
+         if ( pb.end() < (const char*)pb.position() + mTag.size() )
+#endif
          {
             InfoLog(<< "XML: unexpected end");
             pb.fail(__FILE__, __LINE__);
@@ -536,7 +540,11 @@
          mPb.skipChar();
          // CodeWarrior isn't helpful enough to pick the "obvious" operator definition
          // so we add volatile here so CW is completely unconfused what to do.
-         if ( mPb.end() < (const volatile char*)mPb.position() + mTag.size() )
+#ifndef _WIN32_WCE
+         if ( mPb.end() < (const volatile char*)mPb.position() + mTag.size() )
+#else
+         if ( mPb.end() < (const char*)mPb.position() + mTag.size() )
+#endif
          {
             InfoLog(<< "XML: unexpected end");
             mPb.fail(__FILE__, __LINE__);
@@ -599,7 +607,11 @@
 
    static const Data::size_type showSize(35);
 
-   str << &node << "[" 
+#ifndef _WIN32_WCE
+   str << &node << "[" 
+#else
+   str << (long)&node << "[" 
+#endif
        << Data(node.mPb.start(), 
                min(showSize, size))
         << "]" << (size ? "" : "...");
