Index: Inserter.hxx
===================================================================
--- Inserter.hxx	(revision 3908)
+++ Inserter.hxx	(working copy)
@@ -9,7 +9,15 @@
 #include <vector>
 #include <deque>
 #include "HashMap.hxx"
-#include "resiprocate/os/compat.hxx"
+#include "resiprocate/os/compat.hxx"
+
+#ifdef _WIN32_WCE
+#include "Dialog.hxx"
+#include "Handled.hxx"
+#include "DialogId.hxx"
+#include "DialogSet.hxx"
+#include "DialogSetId.hxx"
+#endif
 
 /**
    Allows a (possibly recursive) container of anything with operator<< to be
@@ -22,6 +30,62 @@
 
 namespace resip
 {
+#ifdef _WIN32_WCE
+#undef REASONABLE_TEMPLATES
+
+std::ostream&
+insert(std::ostream& s, const unsigned long& t)
+{
+   // use native <<
+   s << t;
+   return s;
+}
+
+std::ostream&
+insert(std::ostream& s, const resip::Handled * t)
+{
+   // use native <<
+   s << *t;
+   return s;
+}
+
+
+std::ostream&
+insert(std::ostream& s, const resip::Dialog & t)
+{
+   // use native <<
+   s << t;
+   return s;
+}
+std::ostream&
+insert(std::ostream& s, const resip::Dialog*  t)
+{
+   // use native <<
+   s << *t;
+   return s;
+}
+std::ostream&
+insert(std::ostream& s, const resip::DialogSet*  t)
+{
+   // use native <<
+ //  s << *t;
+   return s;
+}
+std::ostream&
+insert(std::ostream& s, const resip::DialogId&  t)
+{
+   // use native <<
+   s << t;
+   return s;
+}
+std::ostream&
+insert(std::ostream& s, const resip::DialogSetId&  t)
+{
+   // use native <<
+   s << t;
+   return s;
+}
+#endif
 
 //#if !defined(WIN32) && !defined(__SUNPRO_CC) && !defined(__INTEL_COMPILER)
 /// Completely generic insert function
@@ -196,8 +260,12 @@
          s << ", ";
       }
 	  insert(s, i->first);
-	  static const char* arrow(" -> ");
-      s << arrow;
+   #ifndef _WIN32_WCE
+	  static const char* arrow(" -> ");
+      s << arrow;
+   #else
+      s << " -> ";
+   #endif
       insert(s, i->second);  
    }
    s << "]";
